Camera.record throws error

Hi,

I try to record a clip from my Unifi ip camera which is managed by Unifi’s NVR.
When I use this action:

  action:
    - service: camera.record
      data: 
        entity_id: camera.voordeur
        filename: '/config/tmp/snapshots/clip.mp4'
        duration: '10'
        lookback: '5'

I get this error:

2021-02-19 22:26:25 ERROR (MainThread) [homeassistant.components.automation.deurbel_test] While executing automation automation.deurbel_test
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/uvc/camera.py", line 241, in stream_source
    uri = next(
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/automation/__init__.py", line 404, in async_trigger
    await self.action_script.async_run(
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 1033, in async_run
    await asyncio.shield(run.async_run())
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 714, in async_run
    await super().async_run()
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 246, in async_run
    await self._async_step(log_exceptions=False)
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 254, in _async_step
    await getattr(
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 464, in _async_call_service_step
    await service_task
  File "/usr/src/homeassistant/homeassistant/core.py", line 1455, in async_call
    task.result()
  File "/usr/src/homeassistant/homeassistant/core.py", line 1490, in _execute_service
    await handler.job.target(service_call)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 204, in handle_service
    await self.hass.helpers.service.entity_service_call(
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 595, in entity_service_call
    future.result()  # pop exception if have
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 664, in async_request_call
    await coro
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 632, in _handle_entity_call
    await result
  File "/usr/src/homeassistant/homeassistant/components/camera/__init__.py", line 746, in async_handle_record_service
    source = await camera.stream_source()
RuntimeError: coroutine raised StopIteration

I can capture stills from the same camera to the same path.
I do have stream: in my configuration.yaml (that’s enough, right?)

Anyone?
Thanks in advance!